#ifndef __SQLDB_H
#define __SQLDB_H

#include <string>
#include <sqlite.h>

using std::string;

class SqlDb
{
public:
    SqlDb();
    ~SqlDb() { sqlite_close(db); }

    void update_last(const string &artist, const string &title, time_t last);
    void update_last(const string &path, time_t last);

    time_t get_last(const string &artist, const string &title);
    time_t get_last(const string &path);

    int check_artist(const string &artist);
    int check_title(const string &artist, const string &title);
    int check_path(const string &path);
protected:
    string escape_string(const string &s);
    void sql_create_table();
    void handle_error(const string &query);

    int nrow, ncol;
    char **resultp, *errmsg;
    struct sqlite *db;
};

#endif
